package com.iformall.service;

import com.github.pagehelper.PageInfo;
import com.iformall.common.ResultData;
import com.iformall.domain.po.MallUserInfo;
import com.iformall.domain.po.WxBillOtherDeposit;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.Map;

/**
 * @author gongbiao
 */
public interface WxBillOtherDepositService {

    /**
     * 根据实体查询分页列表
     *
     * @param offset
     * @param limit
     * @param record
     * @return
     */
    PageInfo<WxBillOtherDeposit> listAsPage(WxBillOtherDeposit record, Integer pageIndex, Integer pageSize);

    void updateBillStatus(WxBillOtherDeposit record);

    /**
     * 根据Id获得实体
     *
     * @param id
     * @return
     */
    WxBillOtherDeposit getById(Long id);

    /**
     * 保存或更新实体
     *
     * @param record
     * @param user
     */
    ResultData saveOrUpdate(WxBillOtherDeposit record, MallUserInfo user);

    /**
     * 根据Id删除实体
     *
     * @param id
     */
    void deleteById(Long id);


    ResultData updatePaid(Long id);

    ResultData returnDeposit(WxBillOtherDeposit wxBillDeposit, MallUserInfo user);

    ResultData adjustDeposit(WxBillOtherDeposit wxBillDeposit);

    void exportBill(HttpServletRequest request, HttpServletResponse response, WxBillOtherDeposit wxBillDeposit);

}
